<?
    
    include './system/common.php';
    
 include './system/functions.php';
         
      include './system/user.php';
    
if(!$user) {

  header('location: /');
    
exit;

}

$action = _string($_GET['action']);

switch($action) {
  default:
    
    $title = 'Добавить игру';


include './system/h.php';  


?>

<div class='title'><?=$title?></div>
 <div class='line'></div>
<div class='content'>
<li class='no_b'><center>У вас есть своя игра?</center><center>Добавив её к нам вы станете нашими партнёрами.</center><br><center><li>Что бы добавить игру обратитесь на ник <a href='http://mpesh.ru/mail/1/'>Admin</a></center><br><li>Цена добавления на в ниделю: 50 РУБ.<br><br><center><a href='http://mpesh.ru/mail/1/' class='button'>Добавить</a></center><br></li>
</div>

<?

include './system/f.php';

  break;

  case 'refferal':
    
    $title = 'Реферальная система';


include './system/h.php';  


?>

<div class='title'><?=$title?></div>
 <div class='line'></div>
<div class='menu'>
 <li>Ваша ссылка: http://<?=$_SERVER['HTTP_HOST']?>/<?=$user['id']?>/</li>
 <li class='no_b' align='center'>
 <font color='#9bc'>Если игрок зарегистрируется по вашей ссылке, вы будете получать бонус: <img src='/images/icon/gold.png' alt='*'/> 20% от всех платежей!</font>
 </div>
</div>
<div class='line'></div>
<?

  $count = mysql_result(mysql_query('SELECT COUNT(*) FROM `ref` WHERE `user` = "'.$user['id'].'"'),0);

?>

<div class='menu'>
<li><b>Приглашено друзей: [<?=$count?>]</b></li>

<?


    $max = 10;
  $pages = ceil($count/$max);
   $page = _string(_num($_GET['page']));

    if($page > $pages) {
    
   $page = $pages;
    
    }
  
    if($page < 1) {
    
   $page = 1;
    
    }
    
  $start = $page * $max - $max;

if($count > 0) {

?>

<li>

<?

$q = mysql_query('SELECT * FROM `ref` WHERE `user` = "'.$user['id'].'" ORDER BY `id` DESC LIMIT '.$start.', '.$max.'');

  while($row = mysql_fetch_array($q)) {
  
  $ho = mysql_query('SELECT * FROM `users` WHERE `id` = "'.$row['ho'].'"');
  $ho = mysql_fetch_array($ho);
  
?>

<img src='/images/icon/race/<?=$ho['r'].($ho['online'] > (time() - 300) ? '':'-off')?>.png' alt='*'/> <a href='/user/<?=$ho['id']?>/'><?=$ho['login']?></a><br/>

<?

  }

?>

</li><li class='no_b'><?=pages('/common/refferal/?');?></li>

<?

 }
 else
 {

?>

<li class='no_b'><font color='#999'>Вы ещё никого не пригласили</font></li>

<?
 
 }

?>

</div>

<?

include './system/f.php';

  break;

}
  

?>